Bug 257272 - dns/knot3: Update to 3.0.8
Summary: dns/knot3: Update to 3.0.8
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kevin Bowling
URL: https://www.knot-dns.cz/2021-07-16-ve...
Keywords:
Depends on:
Blocks:
 
Reported: 2021-07-19 09:51 UTC by Leo Vandewoestijne
Modified: 2021-07-22 23:35 UTC (History)
2 users (show)

See Also:
koobs: maintainer-feedback? (freebsd)
kbowling: merge-quarterly+


Attachments
knot 3.0.8 (2.10 KB, text/plain)
2021-07-19 09:51 UTC, Leo Vandewoestijne
freebsd: maintainer-approval+
Details
knot 3.0.8 rev1 (3.93 KB, patch)
2021-07-21 09:31 UTC, Leo Vandewoestijne
freebsd: maintainer-approval+
Details | Diff
knot 3.0.8 rev1 - norev, uploaded instead of c/p (3.37 KB, patch)
2021-07-22 08:44 UTC, Leo Vandewoestijne
freebsd: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Leo Vandewoestijne 2021-07-19 09:51:21 UTC
Created attachment 226546 [details]
knot 3.0.8

Knot3 was upgraded to 3.0.8 last Friday.
This patch updates the port accordingly.

Tested using poudriere, portlint, portfmt and portclippy.
Last mentioned tool is uncapable to deal correct with the "if" sections, but the port is fine.

Also knot3-lib remains fine.
Comment 1 Kevin Bowling freebsd_committer 2021-07-19 18:44:50 UTC
Hi, this patch doesn't apply.  Can you please recreate it with git diff without extra arguments?
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2021-07-20 03:33:18 UTC
@Maintainer If this change should be merged to quarterly users (eg: bugfix release), please set merge-quarterly flag  to ?
Comment 3 Leo Vandewoestijne 2021-07-20 14:25:49 UTC
(In reply to Kevin Bowling from comment #1)

To be able to do 'git diff' I first cloned from https://git.freebsd.org/ports.git (and so the ports' version is 3.0.7).
Did I maybe do that incorrect / is there a better method?
Comment 4 Kevin Bowling freebsd_committer 2021-07-20 17:46:54 UTC
(In reply to Leo Vandewoestijne from comment #3)
It seemed like you concatenated two diffs or something.  Just type 'git diff dns/knot3' and upload that.  You can test your patch on a clean branch with 'git apply mypatch.patch'
Comment 5 Leo Vandewoestijne 2021-07-21 09:31:55 UTC
Created attachment 226584 [details]
knot 3.0.8 rev1

New patch using `git diff dns/knot3` instead of `git diff`.
Added some more minor adjustments.
Comment 6 Kevin Bowling freebsd_committer 2021-07-21 22:36:20 UTC
(In reply to Leo Vandewoestijne from comment #5)
I don't know what's going on here but this still doesn't apply, it has CRLF line ends and correcting that still fails.  Can you please test 'git apply' on a clean branch on a FreeBSD system.
Comment 7 Leo Vandewoestijne 2021-07-22 08:42:58 UTC
(In reply to Kevin Bowling from comment #6)
I really did (yesterday already). No output; no warning, no error.
When I inspect with `cat -e knot3.diff` I don't spot any CRLF.

Let me upload the patch, instead of copy/paste.
Comment 8 Leo Vandewoestijne 2021-07-22 08:44:11 UTC
Created attachment 226601 [details]
knot 3.0.8 rev1 - norev, uploaded instead of c/p
Comment 9 commit-hook freebsd_committer 2021-07-22 23:34:11 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=cc6e89c988933ff269c8196e4d9dd91e0db08396

commit cc6e89c988933ff269c8196e4d9dd91e0db08396
Author:     Leo Vandewoestijne <freebsd@dns.company>
AuthorDate: 2021-07-22 23:08:47 +0000
Commit:     Kevin Bowling <kbowling@FreeBSD.org>
CommitDate: 2021-07-22 23:08:47 +0000

    dns/knot3: Update to 3.0.8

    Changes https://www.knot-dns.cz/2021-07-16-version-308.html

    PR:             257272

 dns/knot3/Makefile | 31 ++++++++++++++++---------------
 dns/knot3/distinfo |  6 +++---
 2 files changed, 19 insertions(+), 18 deletions(-)
Comment 10 commit-hook freebsd_committer 2021-07-22 23:35:12 UTC
A commit in branch 2021Q3 references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=f7a55907cd4338a99ef239d269fc439979b1f618

commit f7a55907cd4338a99ef239d269fc439979b1f618
Author:     Leo Vandewoestijne <freebsd@dns.company>
AuthorDate: 2021-07-22 23:08:47 +0000
Commit:     Kevin Bowling <kbowling@FreeBSD.org>
CommitDate: 2021-07-22 23:33:58 +0000

    dns/knot3: Update to 3.0.8

    Changes https://www.knot-dns.cz/2021-07-16-version-308.html

    PR:             257272
    (cherry picked from commit cc6e89c988933ff269c8196e4d9dd91e0db08396)

 dns/knot3/Makefile | 31 ++++++++++++++++---------------
 dns/knot3/distinfo |  6 +++---
 2 files changed, 19 insertions(+), 18 deletions(-)
Comment 11 Kevin Bowling freebsd_committer 2021-07-22 23:35:44 UTC
That one worked.  Thanks for your contribution!